Skip to main content

Gmail List Threads

Snapshot Catalog Entry

This page is generated from broker tools/list snapshot data.

POSTgoogle.gmail_list_threads

List Gmail threads.

Request Body

{
"jsonrpc": "2.0",
"id": "google-gmail-list-threads-example",
"method": "tools/call",
"params": {
"name": "google.gmail_list_threads",
"arguments": {
"query": "query_example",
"label_ids": "",
"max_results": 1,
"page_token": "page_token_example"
}
}
}

Arguments Schema

{
"properties": {
"query": {
"type": "string"
},
"label_ids": {
"anyOf": [
{
"items": {
"type": "string"
},
"type": "array"
},
{
"type": "null"
}
]
},
"max_results": {
"type": "integer"
},
"page_token": {
"type": "string"
}
},
"type": "object"
}

Code Examples

curl -X POST 'https://madpanda3d.com/lab/mad-mcps/portal/api/mcp' \
-H 'Authorization: Bearer mad_live_***' \
-H 'Content-Type: application/json' \
-d '{
"jsonrpc": "2.0",
"id": "google-gmail-list-threads-example",
"method": "tools/call",
"params": {
"name": "google.gmail_list_threads",
"arguments": {
"query": "query_example",
"label_ids": "",
"max_results": 1,
"page_token": "page_token_example"
}
}
}'

Example Responses

{
"ok": true,
"message": "Tool google.gmail_list_threads executed successfully.",
"note": "Response shape varies by MCP tool. Inspect live responses for exact fields."
}